Bug 625132 - [abrt] OpenLP-1.9.2.1-1.fc13: songxmlhandler.py:141:get_verses:AttributeError: 'NoneType' object has no attribute 'getiterator'
[abrt] OpenLP-1.9.2.1-1.fc13: songxmlhandler.py:141:get_verses:AttributeError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: OpenLP (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: TR Bentley
Fedora Extras Quality Assurance
abrt_hash:dcc48837
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 12:50 EDT by Gerardo Carmona
Modified: 2010-08-27 07:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 12:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (912 bytes, text/plain)
2010-08-18 12:50 EDT, Gerardo Carmona
no flags Details

  None (edit)
Description Gerardo Carmona 2010-08-18 12:50:24 EDT
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/openlp
component: OpenLP
executable: /usr/bin/openlp
kernel: 2.6.33.6-147.2.4.fc13.i686.PAE
package: OpenLP-1.9.2.1-1.fc13
reason: songxmlhandler.py:141:get_verses:AttributeError: 'NoneType' object has no attribute 'getiterator'
release: Fedora release 13 (Goddard)
time: 1282150164
uid: 500

backtrace
-----
songxmlhandler.py:141:get_verses:AttributeError: 'NoneType' object has no attribute 'getiterator'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/openlp/core/lib/mediamanageritem.py", line 443, in onPreviewClick
    service_item = self.buildServiceItem()
  File "/usr/lib/python2.6/site-packages/openlp/core/lib/mediamanageritem.py", line 530, in buildServiceItem
    if self.generateSlideData(service_item, item):
  File "/usr/lib/python2.6/site-packages/openlp/plugins/songs/lib/mediaitem.py", line 339, in generateSlideData
    verseList = songXML.get_verses()
  File "/usr/lib/python2.6/site-packages/openlp/core/lib/songxmlhandler.py", line 141, in get_verses
    xml_iter = self.song_xml.getiterator()
AttributeError: 'NoneType' object has no attribute 'getiterator'

Local variables in innermost frame:
self: <openlp.core.lib.songxmlhandler.SongXMLParser object at 0x95789ac>

How to reproduce
-----
1.was adding a song sending live
2.
3.
Comment 1 Gerardo Carmona 2010-08-18 12:50:26 EDT
Created an attachment (id=439445)
File: backtrace
Comment 2 TR Bentley 2010-08-20 12:55:32 EDT
This will not be fixed as the song import code has been re-written for the alpha 3 release in september
Comment 3 Nils Philippsen 2010-08-27 07:25:26 EDT
In that case CLOSED/WONTFIX is more appropriate.

Note You need to log in before you can comment on or make changes to this bug.